Skip to main content
PUT
/
people
/
{id}
Update Person
curl --request PUT \
  --url https://tms.universal.rollout.com/api/people/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "assignedUserId": "<string>",
  "assignedPondId": "<string>",
  "officeId": "<string>",
  "timeframeId": "<string>",
  "stage": "<string>",
  "stageId": "<string>",
  "emails": [
    {
      "value": "<string>",
      "type": "<string>",
      "status": "<string>",
      "isPrimary": true
    }
  ],
  "phones": [
    {
      "value": "<string>",
      "type": "<string>",
      "status": "<string>",
      "isPrimary": true
    }
  ],
  "addresses": [
    {
      "type": "<string>",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "code": "<string>",
      "country": "<string>"
    }
  ],
  "tags": [
    "<string>"
  ],
  "source": "<string>",
  "sourceId": "<string>",
  "systemSource": "<string>",
  "contactTypes": [
    "<string>"
  ],
  "jobTitle": "<string>",
  "companyName": "<string>",
  "birthday": "<string>",
  "averageBeds": 123,
  "averagePrice": 123,
  "rating": 123,
  "lastActivity": "<string>",
  "lastActivityType": "<string>",
  "communicationsConsent": {
    "email": true,
    "call": true,
    "text": true,
    "massEmail": true,
    "postalMail": true,
    "visit": true
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "assignedUserId": "<string>",
  "assignedPondId": "<string>",
  "officeId": "<string>",
  "timeframeId": "<string>",
  "stage": "<string>",
  "stageId": "<string>",
  "tags": [
    "<string>"
  ],
  "originalIds": {},
  "original": {},
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "addresses": [
    {
      "type": "<string>",
      "street": "<string>",
      "city": "<string>",
      "state": "<string>",
      "code": "<string>",
      "country": "<string>"
    }
  ],
  "emails": [
    {
      "value": "<string>",
      "type": "<string>",
      "status": "<string>",
      "isPrimary": true
    }
  ],
  "phones": [
    {
      "value": "<string>",
      "type": "<string>",
      "status": "<string>",
      "isPrimary": true
    }
  ],
  "source": "<string>",
  "sourceId": "<string>",
  "systemSource": "<string>",
  "averageBeds": 123,
  "averagePrice": 123,
  "birthday": "<string>",
  "lastActivity": "<string>",
  "lastActivityType": "<string>",
  "contactTypes": [
    "<string>"
  ],
  "jobTitle": "<string>",
  "companyName": "<string>",
  "communicationsConsent": {
    "email": true,
    "call": true,
    "text": true,
    "massEmail": true,
    "postalMail": true,
    "visit": true
  }
}

Path Parameters

id
string
required

Query Parameters

mergeTags
boolean
default:false

Body

application/json
firstName
string
lastName
string
assignedUserId
string
assignedPondId
string
officeId
string
timeframeId
string
stage
string
stageId
string
emails
object[]
phones
object[]
addresses
object[]
tags
string[]
source
string
sourceId
string
systemSource
string
contactTypes
string[]
jobTitle
string
companyName
string
birthday
string
averageBeds
number
averagePrice
number
rating
number
lastActivity
string
lastActivityType
string

Response

OK

id
string
required
name
string
required
firstName
string
required
lastName
string
required
assignedUserId
string
required
assignedPondId
string
required
officeId
string
required
timeframeId
string
required
stage
string
required
stageId
string
required
tags
string[]
required
originalIds
object
required
original
object
required
created
string
required
updated
string
required
rolloutUpdated
string
required
addresses
object[]
required
emails
object[]
required
phones
object[]
required
source
string
required
sourceId
string
required
systemSource
string
required
averageBeds
number
required
averagePrice
number
required
birthday
string
required
lastActivity
string
required
lastActivityType
string
required
contactTypes
string[]
required
jobTitle
string
required
companyName
string
required